Loading...
Searching...
No Matches
gsm_25_415.h File Reference
`#include <stdint.h>`
`#include <osmocom/core/endian.h>`

Go to the source code of this file.

## Data Structures

struct | iuup_pdutype0_hdr
struct | iuup_pdutype1_hdr
struct | iuup_pdutype14_hdr
struct | iuup_ctrl_init_rfci_hdr
struct | iuup_ctrl_init_hdr
struct | iuup_ctrl_init_tail
struct | iuup_ctrl_error_event
struct | iuup_ctrl_ack
struct | iuup_ctrl_nack

## Enumerations

enum | iuup_pdu_type { IUUP_PDU_T_DATA_CRC = 0 , IUUP_PDU_T_DATA_NOCRC = 1 , IUUP_PDU_T_CONTROL = 14 }
enum | iuup_ack_nack { IUUP_AN_PROCEDURE = 0 , IUUP_AN_ACK = 1 , IUUP_AN_NACK = 2 }
enum | iuup_fqc { IUUP_FQC_FRAME_GOOD = 0 , IUUP_FQC_FRAME_BAD = 1 , IUUP_FQC_FRAME_BAD_RADIO = 2 }
enum | iuup_procedure { IUUP_PROC_INIT = 0 , IUUP_PROC_RATE_CTRL = 1 , IUUP_PROC_TIME_ALIGN = 2 , IUUP_PROC_ERR_EVENT = 3 }
enum | iuup_error_distance { IUUP_ERR_DIST_LOCAL = 0 , IUUP_ERR_DIST_FIRST_FWD = 1 , IUUP_ERR_DIST_SECOND_FWD = 2 , IUUP_ERR_DIST_RESERVED = 3 }

enum

iuup_error_cause {
IUUP_ERR_CAUSE_CRC_ERR_HDR = 0 ,
IUUP_ERR_CAUSE_CRC_ERR_DATA = 1 ,
IUUP_ERR_CAUSE_UNEXPECTED_FN = 2 ,
IUUP_ERR_CAUSE_FRAME_LOSS = 3 ,
IUUP_ERR_CAUSE_UNKNOWN_PDUTYPE = 4 ,
IUUP_ERR_CAUSE_UNKNOWN_PROC = 5 ,
IUUP_ERR_CAUSE_UNKNNOWN_RES_VAL = 6 ,
IUUP_ERR_CAUSE_UNKNNOWN_FIELD = 7 ,
IUUP_ERR_CAUSE_FRAME_TOO_SHORT = 8 ,
IUUP_ERR_CAUSE_MISSING_FIELDS = 9 ,
IUUP_ERR_CAUSE_UNEXPECTED_PDU_T = 16 ,
IUUP_ERR_CAUSE_UNEXPECTED_PROC = 18 ,
IUUP_ERR_CAUSE_UNEXPECTED_RFCI = 19 ,
IUUP_ERR_CAUSE_UNEXPECTED_VALUE = 20 ,
IUUP_ERR_CAUSE_INIT_FAILURE = 42 ,
IUUP_ERR_CAUSE_INIT_FAILURE_NET_TMR = 43 ,
IUUP_ERR_CAUSE_INIT_FAILURE_REP_NACK = 44 ,
IUUP_ERR_CAUSE_RATE_CTRL_FAILURE = 45 ,
IUUP_ERR_CAUSE_ERR_EVENT_FAIL = 46 ,
IUUP_ERR_CAUSE_TIME_ALIGN_NOTSUPP = 47 ,
IUUP_ERR_CAUSE_REQ_TIME_ALIGN_NOTPOSS = 48 ,
IUUP_ERR_CAUSE_MODE_VERSION_NOT_SUPPORTED = 49
}

## Functions

struct iuup_pdutype0_hdr | __attribute__ ((packed))

## Variables

struct iuup_pdutype14_hdr | hdr
uint8_t | spare_extension [0]
enum iuup_pdu_type | __attribute__

## Enumeration Type Documentation

## iuup_ack_nack

enum iuup_ack_nack

Enumerator
IUUP_AN_PROCEDURE |
IUUP_AN_ACK |
IUUP_AN_NACK |

## iuup_error_cause

enum iuup_error_cause

Enumerator
IUUP_ERR_CAUSE_CRC_ERR_HDR |
IUUP_ERR_CAUSE_CRC_ERR_DATA |
IUUP_ERR_CAUSE_UNEXPECTED_FN |
IUUP_ERR_CAUSE_FRAME_LOSS |
IUUP_ERR_CAUSE_UNKNOWN_PDUTYPE |
IUUP_ERR_CAUSE_UNKNOWN_PROC |
IUUP_ERR_CAUSE_UNKNNOWN_RES_VAL |
IUUP_ERR_CAUSE_UNKNNOWN_FIELD |
IUUP_ERR_CAUSE_FRAME_TOO_SHORT |
IUUP_ERR_CAUSE_MISSING_FIELDS |
IUUP_ERR_CAUSE_UNEXPECTED_PDU_T |
IUUP_ERR_CAUSE_UNEXPECTED_PROC |
IUUP_ERR_CAUSE_UNEXPECTED_RFCI |
IUUP_ERR_CAUSE_UNEXPECTED_VALUE |
IUUP_ERR_CAUSE_INIT_FAILURE |
IUUP_ERR_CAUSE_INIT_FAILURE_NET_TMR |
IUUP_ERR_CAUSE_INIT_FAILURE_REP_NACK |
IUUP_ERR_CAUSE_RATE_CTRL_FAILURE |
IUUP_ERR_CAUSE_ERR_EVENT_FAIL |
IUUP_ERR_CAUSE_TIME_ALIGN_NOTSUPP |
IUUP_ERR_CAUSE_REQ_TIME_ALIGN_NOTPOSS |
IUUP_ERR_CAUSE_MODE_VERSION_NOT_SUPPORTED |

## iuup_error_distance

enum iuup_error_distance

Enumerator
IUUP_ERR_DIST_LOCAL |
IUUP_ERR_DIST_FIRST_FWD |
IUUP_ERR_DIST_SECOND_FWD |
IUUP_ERR_DIST_RESERVED |

## iuup_fqc

enum iuup_fqc

Enumerator
IUUP_FQC_FRAME_GOOD |
IUUP_FQC_FRAME_BAD |
IUUP_FQC_FRAME_BAD_RADIO |

## iuup_pdu_type

enum iuup_pdu_type

Enumerator
IUUP_PDU_T_DATA_CRC |
IUUP_PDU_T_DATA_NOCRC |
IUUP_PDU_T_CONTROL |

## iuup_procedure

enum iuup_procedure

Enumerator
IUUP_PROC_INIT |
IUUP_PROC_RATE_CTRL |
IUUP_PROC_TIME_ALIGN |
IUUP_PROC_ERR_EVENT |

## Variable Documentation

## __attribute__

enum iuup_pdu_type __attribute__

## hdr

struct iuup_pdutype14_hdr hdr

## spare_extension

uint8_t spare_extension[0]